## Card

A div to display boxed content.

It has header, main text and a footer.

![Card](../images/examples_card.png)

### Syntax

```php
$renderAdminLTE->getCard($aOptions);
```

### Return

{string} html code

### Parameters

* $aOptions - {array} options to describe the element

Styling:

Key      | Description
---      | ---
class    | optional: additional css classes
shadow   | size of shadow; one of<br>- [empty] (=default: between small and regular)<br>- "none"<br>- "small"<br>- "regular"<br>- "large"
type     | one of<br>- [empty]<br>- "danger"<br>- "dark"<br>- "info"<br>- "primary"<br>- "secondary"<br>- "success"<br>- "warning"
variant  | kind of coloring: one of<br>- "default"  - titlebar is colored<br>- "outline" - a small stripe on top border is colored<br>- "solid"    - whole card is colored<br>- "gradient" - whole card is colored with a gradient
state    | window state. one of [none]\|collapsed\|maximized

Toolbar icons:

Set to true to show it; default: none of it is visible

Key         | Description
---         | ---
tb-collapse | show minus icon to collapse widget
tb-expand   | show plus button to expand; it is added automatically if you set 'state'=>'collapsed'
tb-maximize | show maximize button
tb-minimize | show minimize button; it is added automatically if you set 'state'=>'maximized'
tb-remove   | show cross button to remove widget

Content:

Key      | Description
---      | ---
footer   | footer of the card
text     | visible text
title    | title of the card
tools    | html code for upper right corner

### Example

```php
$renderAdminLTE->getCard(array (
  'type' => 'primary',
  'variant' => 'solid',
  'tb-remove' => 1,
  'tb-collapse' => 1,
  'title' => 'I am a card',
  'tools' => '123',
  'text' => 'Hello everybody out there!',
  'footer' => '&copy; Axel',
));
```
